Kaseya Community

show old agents only?

This question is answered

Not sure if this is the right spot, as I didnt see a good discussion group that targeted this one specifically.

 

I'd like be be able to filter all agents that are below the current version. Unfortunately it appears that the advanced agent version field does not support anything except specific version numbers.

 

If I try to use the < symbol it outright breaks the view. If I try to use the NOT operator it is simply not effective and doesnt appear to change the view at all.

 

I also tried telling the standard app filter to show only systems that have a version of KaUsrTsk.exe less than 6.1. still no dice. (it shows I have absolutely none when I have a handful).

 

Ideas?

Verified Answer
  • cameramonkey
    If I try to use the < symbol it outright breaks the view.

    Not true works fine for me in Kserver version 6.0.1 

    Under the Advanced agent data filter you have the "Agent Ver (number only-4050002)" data field. To help you with this I will need to explain how the version numbering works say for example you have a 6.0.1.1 agent filter you want to make sure each dot "." is a 0 in the version filter so 6.0.1.1 = 6000101. If you don't get the version numbering correct it will not work. So now to filter all agents versions smaller then 6.0.1.1 use the following value without the quotation signs "< 6000101". With Kaseya 5.x if I recall correctly you had to put a space before the greater as ">" or smaller as "<" signs but it appears to not be the case anymore.

    If you still have troubles create a support ticket with Kaseya support, maybe it is a bug in Version 6.1



    [edited by: HardKnoX at 6:13 PM (GMT -8) on 2-6-2011] typo
All Replies
  • cameramonkey
    If I try to use the < symbol it outright breaks the view.

    Not true works fine for me in Kserver version 6.0.1 

    Under the Advanced agent data filter you have the "Agent Ver (number only-4050002)" data field. To help you with this I will need to explain how the version numbering works say for example you have a 6.0.1.1 agent filter you want to make sure each dot "." is a 0 in the version filter so 6.0.1.1 = 6000101. If you don't get the version numbering correct it will not work. So now to filter all agents versions smaller then 6.0.1.1 use the following value without the quotation signs "< 6000101". With Kaseya 5.x if I recall correctly you had to put a space before the greater as ">" or smaller as "<" signs but it appears to not be the case anymore.

    If you still have troubles create a support ticket with Kaseya support, maybe it is a bug in Version 6.1



    [edited by: HardKnoX at 6:13 PM (GMT -8) on 2-6-2011] typo
  • First, YOU ROCK!.

    Second, what the heck? as a hardware guy, that .=0 trick makes absolutely no sense to me.

    Sure enough, as soon as I replaced my .'s with 0's it worked like a charm.

    Thanks!